Subject: bug#32007: 26.1; mouse-buffer-menu displays *Messages* buffer in group Mail/News

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 15 Jul 2019 12:10:09 +0200

(Please keep the debbugs email address in the Cc; otherwise the
bug tracker won't receive the email.)

Pascal Quesseveur <[email-masked]> writes:

>>"LI" == Lars Ingebrigtsen <[email-masked]> writes:
>
>   LI> I'm unable to reproduce this in Emacs 27.  Do you have a recipe starting
>   LI> from "emacs -Q"?
>
> Indeed my report was much too succinct:
>
>  - emacs -Q
>  - Buffer menu: *Messages* *scratch*
>  - M-x set-variable mouse-buffer-menu-mode-mult 1
>  - M-x find-file ~/.emacs/init.el
>  - Buffer menu: Lisp: *scratch*, init.el; Others: *Messages*
>  - M-x gnus: nntp open error, continue: y
>  - Buffer menu: Fundamental: .newsrc-dribble; Lisp: *scratch*, init.el;
>    Mail/News: *Group*, *Messages*
>
> Checked with emac-26.2.

Thanks; with that recipe I can reproduce the bug, and I've now fixed it
in the Emacs trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no